Bug 98908 - X Server freezes machine with on board Savage Video
X Server freezes machine with on board Savage Video
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-10 00:19 EDT by Barry Wright
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config-4 from client (2.12 KB, text/plain)
2003-07-15 17:52 EDT, Barry Wright
no flags Details
XFree log frtom /var/log (12.62 KB, text/plain)
2003-07-15 17:56 EDT, Barry Wright
no flags Details
snip from /var/log/messages on client (256 bytes, text/plain)
2003-07-15 17:59 EDT, Barry Wright
no flags Details

  None (edit)
Description Barry Wright 2003-07-10 00:19:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Updated Xfree86 rpms from 4.1.0-25 to 4.1.0-49, all (2) machines with on board
Savage video completely freeze when X server attempts to start. Machines were on
stock kernel 2.4.9-13, updated one machine to stock 2.4.20-18-7 but still froze.
Went back to Xfree 4.1.0-25 and X starts okay, rebuilt savage_drv.o (savage ver
1.1.16 stock with 4.1.0) using rpm source for 4.1.0-49 with kernel 2.4.20-18-7
this replacement allows X to run on both machines with XFree86 4.1.0-49.

Machine Specs:- Gigabyte GA-7ZMM with AMD Duron 850.045MHz with on board S3
ProSavage KM133 video.

Version-Release number of selected component (if applicable):
4.1.0-49

How reproducible:
Always

Steps to Reproduce:
1.startx on machine with GA-7ZMM motherboard with Pro Savage KM133
2.
3.
    

Actual Results:  machine completely locks up, no response from mouse or
keyboard, have to reboot to regain control. 

Expected Results:  X server starts up with graphical desktop visable on monitor.

Additional info:

Bug may be similar to 57929.

<snip from manual>
CPU             AMD Athlon
TM/DuronTM (K7) Socket A Processor 
        256K/64K L2 cache on die 
        Supports 600MHz ~ 1GHz and above
 
Chipset     Pro Savage KM133, consisting of: 
        VT8365 Memory/AGP/PCI Controller (PAC)[For 7ZMM] 
        VT8364 Memory/AGP/PCI Controller (PAC)[For 7ZMM-1] 
        VT82C686B PCI Super-I/O Integrated Peripheral Controller (PSIPC) 
<end snip>

cat /proc/cpuinfo 
processor	: 0
vendor_id	: AuthenticAMD
cpu family	: 6
model		: 3
model name	: AMD Duron(tm) Processor
stepping	: 1
cpu MHz		: 850.045
cache size	: 64 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx
fxsr syscall mmxext 3dnowext 3dnow
bogomips	: 1690.82


lspci info (S3 ProSavage KM133)
01:00.0 VGA compatible controller: S3 Inc.: Unknown device 8a26 (prog-if 00 [VGA])
	Subsystem: S3 Inc.: Unknown device 8a26
	Flags: bus master, 66Mhz, medium devsel, latency 248, IRQ 11
	Memory at dfe80000 (32-bit, non-prefetchable) [size=512K]
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
	Expansion ROM at dfe70000 [disabled] [size=64K]
	Capabilities: [dc] Power Management version 2
	Capabilities: [80] AGP version 2.0
Comment 1 Mike A. Harris 2003-07-14 18:33:11 EDT
Using bugzilla's file attachment feature, please attach your X server config
file, and log file from just after a failure.
Comment 2 Barry Wright 2003-07-15 17:52:31 EDT
Created attachment 92948 [details]
XF86Config-4 from client

File is used in this form with the stock savage driver and the replacement
driver mentioned in the bug report.
Comment 3 Barry Wright 2003-07-15 17:56:00 EDT
Created attachment 92949 [details]
XFree log frtom /var/log

Log file generated when X attempts to start with stock savage driver from
XFree86-4.1.0-49.
Comment 4 Barry Wright 2003-07-15 17:59:45 EDT
Created attachment 92950 [details]
snip from /var/log/messages on client

All lines leading to the single line contained in attached file have been
removed as they were standard log entries. The single line is the last line
logged prior to the lock-up of the client when X attempts to start with stock
savage driver XFree86-4.1.0-49.
Comment 5 Mike A. Harris 2004-10-01 01:50:11 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.